proc (3) = imts_linorm_pb(dta,bbb);
    local nnn, bb1, bb2, bb3, pame, dtap, bethh, thath, pp, indh,
          iii, mmm, depp, bbp1, bbp2, bbp3, pamep, pv1, pv2, pv3;

    { bb1, bb2, bb3, pame } = imts_linorm(dta);

    nnn   = rows(dta);
    pp    = cols(dta);
    indh  = dta[.,2:pp];
    bethh = pame[1:(pp-1),1];
    thath = pame[pp,1];

    mmm  = zeros(bbb,3);
    iii  = 1;
    do until iii > bbb;

        depp = indh*bethh + sqrt(thath)*rndn(nnn,1);
        dtap = depp~indh;

        { bbp1, bbp2, bbp3, pamep } = imts_linorm(dtap);

        mmm[iii,1] = (bbp1 .>= bb1);
        mmm[iii,2] = (bbp2 .>= bb2);
        mmm[iii,3] = (bbp3 .>= bb3);
        iii = iii + 1;
    endo;

    pv1 = meanc(mmm[.,1]);
    pv2 = meanc(mmm[.,2]);
    pv3 = meanc(mmm[.,3]);

    retp( pv1, pv2, pv3 );
endp;
